Arbor 3: FSM & BT Graph Editor 3.7.8

Static Public Member Functions | List of all members
ListUtility Class Reference

List utility class More...

## Static Public Member Functions
static bool | Equals< T > (IList< T > a, IList< T > b, IEqualityComparer< T > comparer=null)
| Determine if IList<T> are equal. More...
static System.Type | GetElementType (System.Type listType)
| Get the element type. More...
static System.Type | GetIListType (System.Type elementType)
| Get the type of IList<elementType>. More...
static System.Type | GetICollectionType (System.Type elementType)
| Get the type of ICollection<elementType>. More...
static System.Type | GetListType (System.Type elementType)
| Get the type of List<elementType>. More...

## Detailed Description

List utility class

## Member Function Documentation

## ◆ Equals< T >()

static bool Equals< T > | ( | IList< T > | a,
|  | IList< T > | b,
|  | IEqualityComparer< T > | comparer = `null`
| ) |  |
| static

Determine if IList<T> are equal.

Template Parameters

  T | Element type

Parameters

  a | IList<T> to judge
  b | IList<T> to judge
  comparer | Interface for equality comparison. When null is specified, default judgment is used.

Returns
  Returns true if they are equal.

## ◆ GetElementType()

static System.Type GetElementType | ( | System.Type | listType | ) |
| static

Get the element type.

Parameters

  listType | List type

Returns
  Returns the element type.

## ◆ GetICollectionType()

static System.Type GetICollectionType | ( | System.Type | elementType | ) |
| static

Get the type of ICollection<elementType>.

Parameters

  elementType | Element type

Returns
  Returns the type of ICollection<elementType>.

## ◆ GetIListType()

static System.Type GetIListType | ( | System.Type | elementType | ) |
| static

Get the type of IList<elementType>.

Parameters

  elementType | Element type

Returns
  Returns the type of IList<elementType>.

## ◆ GetListType()

static System.Type GetListType | ( | System.Type | elementType | ) |
| static

Get the type of List<elementType>.

Parameters

  elementType | Element type

Returns
  Returns the type of List<elementType>.